/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */

/*
 * File:           JDOHandler.java
 * Date:           July 3, 2001  2:16 PM
 *
 * @author  michael
 * @version generated by FFJ XML module
 */
package org.apache.jdo.impl.model.jdo.xml;

import java.util.Collection;
import org.xml.sax.*;

public interface JDOHandler 
{
    
    /**
     * A container element start event handling method.
     * @param meta attributes
     */
    public void start_jdo(final Attributes meta)
        throws SAXException;
    
    /**
     * A container element end event handling method.
     */
    public void end_jdo() 
        throws SAXException;
    
    /**
     * A container element start event handling method.
     * @param meta attributes
     */
    public void start_package(final Attributes meta) 
        throws SAXException;
    
    /**
     * A container element end event handling method.
     */
    public void end_package() 
        throws SAXException;
    
    /**
     * A container element start event handling method.
     * @param meta attributes
     */
    public void start_class(final Attributes meta) 
        throws SAXException;
    
    /**
     * A container element end event handling method.
     */
    public void end_class() 
        throws SAXException;
    
    /**
     * A container element start event handling method.
     * @param meta attributes
     */
    public void start_field(final Attributes meta) 
        throws SAXException;
    
    /**
     * A container element end event handling method.
     */
    public void end_field() 
        throws SAXException;
    
    /**
     * A container element start event handling method.
     * @param meta attributes
     */
    public void start_collection(final Attributes meta) 
        throws SAXException;
    
    /**
     * A container element end event handling method.
     */
    public void end_collection() 
        throws SAXException;
       
    /**
     * A container element start event handling method.
     * @param meta attributes
     */
    public void start_array(final Attributes meta) 
        throws SAXException;
    
    /**
     * A container element end event handling method.
     */
    public void end_array() 
        throws SAXException;
    
    /**
     * A container element start event handling method.
     * @param meta attributes
     */
    public void start_map(final Attributes meta) 
        throws SAXException;
    
    /**
     * A container element end event handling method.
     */
    public void end_map()   
        throws SAXException;
    
    /**
     * A container element start event handling method.
     * @param meta attributes
     */
    public void start_extension(final Attributes meta) 
        throws SAXException;
    
    /**
     * A container element end event handling method.
     */
    public void end_extension() 
        throws SAXException;

    /**
     *
     */
    public Collection handledJDOClasses();
}
